//                      -*- mode: C++ -*-
//
// Copyright(C) 2005 Stefan Siegl <stesie@brokenpipe.de>
// kopete_silc - silc plugin for kopete messenger
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef SILCJOINDLGWIDGET_H
#define SILCJOINDLGWIDGET_H

#include "silcchanneljoin.h"
#include <kcompletion.h>
#include <klineedit.h>
#include <qcheckbox.h>

class SilcJoinDlgWidget : protected joinDlg
{
  Q_OBJECT

public:
  SilcJoinDlgWidget(QWidget* parent = 0, const char* name = 0,
		    bool modal = FALSE, WFlags fl = 0);
  ~SilcJoinDlgWidget();

  void setCompletionList(KCompletion &items);

  inline QString channel(void) const { return txtChannel->text(); }
  inline QString password(void) const { return txtPassword->text(); }

  inline bool founder(void) const { return chkFounder->isChecked(); }
  inline bool auth(void) const { return chkAuth->isChecked(); }
  
public slots:
  inline int exec(void) { return QDialog::exec(); }
  
};

#endif

